Subject: Re: bug#46502: 28.0.50; [feature/native-comp] (d3a399dd) native-comp bootstrap failure

From: Pip Cet <[email-masked]>
Date: Sat, 20 Feb 2021 17:00:44 +0000

On Sat, Feb 20, 2021 at 12:42 PM Eli Zaretskii <[email-masked]> wrote:
> > From: Pip Cet <[email-masked]>
> > Date: Sat, 20 Feb 2021 12:03:42 +0000
> > Cc: Stefan Monnier <[email-masked]>, [email-masked], [email-masked],
> >       [email-masked]
> So the conclusion is that the differences have nothing to do with
> interrupting the build, they are caused by some of the COMPILE_FIRST
> files being not yet compiled?

Er, I'm not sure what you're saying. They have everything to do with
interrupting the build, of course, it's what causes them. They don't
have anything to do with interrupting Emacs, though, just make. Is
that what you meant?

I'm now convinced the differences, while still vexing, are harmless,
possibly just constant-folding not happening when the defsubst is
inlined. (The weird thing is that the uninterrupted make results in
ever so slightly worse code than the interrupted one.)